---
title: Resources and URIs
slug: Web/HTTP/Resources_and_URIs
tags:
  - HTTP
  - MIME
  - MIME Type
  - Overview
  - Type
  - URI
  - URIs
  - URL
  - resources
---
<div>{{HTTPSidebar}}</div>

<p>HTTP allows a browser, or another {{Glossary("user agent")}}, to communicate with different <em>resources</em> on the Internet: to do this the browser needs both the <em>identity</em> and the <em>location</em> of the resources. These two bits of information are described by a {{glossary("URI")}}.</p>

<dl>
 <dt><a href="/en-US/docs/Web/HTTP/Basics_of_HTTP/Identifying_resources_on_the_Web">Identifying resources on the Web</a></dt>
 <dd>URIs and how to access resources on the Web.</dd>
 <dt><a href="/en-US/docs/Web/HTTP/Basics_of_HTTP/Data_URIs">Data URIs</a></dt>
 <dd>A specific kind of URIs, data URIs, embed the resource itself inside the identifier.</dd>
 <dt><a href="/en-US/docs/Web/HTTP/Basics_of_HTTP/Choosing_between_www_and_non-www_URLs">Choosing between www and non-www URLs</a></dt>
 <dd>Advice on using a www-prefixed domain or not, this article explains the consequences of the choice as well as how to make it.</dd>
 <dt><a href="/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types">MIME Types</a></dt>
 <dd>MIME media types define what kind of document a specific resource is. This article presents both the syntax and the most useful MIME types for use on the Web.</dd>
 <dt><a href="/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types/Complete_list_of_MIME_types">Complete list of MIME types</a></dt>
 <dd>Comprehensive list of MIME types useful for Web developers.</dd>
 <dt><a href="/en-US/docs/Web/HTTP/Basics_of_HTTP/Separating_identity_and_location_of_a_resource">Separating identity and location of a resource: the Alt-Svc header</a></dt>
 <dd>Even if identity and location are both described using a {{Glossary("URL")}}, they are two different concepts and it is useful sometimes to distinguished between them. This article introduces the {{HTTPHeader("Alt-Svc")}} header.</dd>
</dl>
